extends Node2D

onready var player_path = get_node("../Player")
var detection_meter = 0


func detect_player(delta):
	if $Node2D/detection_level_1.get_overlapping_bodies() && GlobalVariables.player_is_visible == true:
		$RayCast2D.set_cast_to(player_path.position - self.position)
		if $RayCast2D.get_collider() == player_path:
			detection_meter += 200 * delta
			$ProgressBar.set_value(detection_meter)
		
	elif $Node2D/detection_level_2.get_overlapping_bodies() && GlobalVariables.player_is_visible == true:
		$RayCast2D.set_cast_to(player_path.position - self.position)
		if $RayCast2D.get_collider() == player_path:
			detection_meter += 100 * delta
			$ProgressBar.set_value(detection_meter)
		
	else:
		$RayCast2D.set_cast_to(Vector2.ZERO)
		if detection_meter >= 0:
			detection_meter -= 50 * delta
			$ProgressBar.set_value(detection_meter)
		
	if detection_meter >= 100:
		$ProgressBar.queue_free()
		GlobalVariables.player_found = true
		$RayCast2D.set_cast_to(Vector2.ZERO)
		$Node2D/AnimationPlayer.stop(true)
		if GlobalVariables.superman_released == false:
			GlobalVariables.superman_released = true
			$Timer.start()


func _physics_process(delta):
	if GlobalVariables.player_found == false:
		detect_player(delta)
	
	elif $Node2D/AnimationPlayer.is_playing():
		$Node2D/AnimationPlayer.stop(true)


func _on_Timer_timeout():
	print("Alright boys. Release the superman")
