extends KinematicBody2D

#var is_moving = false
onready var SPEED = 200
var velocity = Vector2.ZERO
var point_to_move_to = null


# Add more variables if there are more zones
var zone_sizes = {1:[Vector2(512, 320), Vector2(-1600, -64), false],
2:[Vector2(512, 256), Vector2(-1088, -64), false],
3:[Vector2(320, 256), Vector2(-1600, 320), false],
4:[Vector2(576, 320), Vector2(-1216, 256), false],
5:[Vector2(320, 192), Vector2(-512, 384), false],
6:[Vector2(320, 320), Vector2(-512, -64), false]}


func pick_random_point():
	var position_to_go_to = Vector2.ZERO
	var needed_zone = 0

	var rng = RandomNumberGenerator.new()
	rng.randomize()
	needed_zone = round(rng.randf_range(1, 6))

	while zone_sizes[int(needed_zone)][2] != false:
		needed_zone = round(rng.randf_range(1, 6))

	position_to_go_to.x = rng.randf_range(0, zone_sizes[int(needed_zone)][0].x)
	position_to_go_to.y = rng.randf_range(0, zone_sizes[int(needed_zone)][0].y)

	position_to_go_to.x += zone_sizes[int(needed_zone)][1].x
	position_to_go_to.y += zone_sizes[int(needed_zone)][1].y
	return position_to_go_to


func move_to_point(point_position):
	var direction = point_position - self.global_position
	velocity = direction
	velocity = move_and_slide(velocity)


func _physics_process(delta):
	if point_to_move_to == null:
		point_to_move_to = pick_random_point()
	
	move_to_point(point_to_move_to)
