extends KinematicBody2D

export var acceleration = 10
export var max_speed = 700
var start_point = 0
var velocity = Vector2.ZERO
var falling = false


func _ready():
	start_point = self.position.y


func _physics_process(delta):
	if falling == true:
		velocity.y += acceleration
		velocity.y = clamp(velocity.y, -200, max_speed)
		
	elif start_point < self.position.y:
		velocity.y -= acceleration
		velocity.y = clamp(velocity.y, -300, max_speed)
		
	else:
		velocity.y = 0
		
	velocity = move_and_slide(velocity)


func _on_player_detection_zone_body_entered(body):
	if body.is_in_group("player"):
		falling = true


func _on_player_detection_zone_body_exited(body):
	if body.is_in_group("player"):
		falling = false


func _on_destruction_zone_body_entered(body):
	queue_free()
